from flask import Flask, request
import os

app = Flask(__name__)

@app.route('/')
def hello_world():
   return 'Hello World'
   
@app.route('/newProject')
def new_project():
	name = request.args.get('name')
	os.system("mkdir "+name)
	os.system("cd "+name+" && mkdir nodesets")
	return 'New project folder created.'

@app.route('/loadNew')
def new_project():
	name = request.args.get('name')
	return 'New nodeset(s) loaded.'

if __name__ == '__main__':
   app.run()
